### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Indonesia Class Reference
Calendars

Indonesian calendars More...

`#include <ql/time/calendars/indonesia.hpp>`

Inheritance diagram for Indonesia:
[legend]

List of all members.

## Public Types

enum | Market { BEJ, JSX, IDX }

## Public Member Functions

| Indonesia (Market m=IDX)

## Detailed Description

Indonesian calendars

Holidays for the Indonesia stock exchange (data from <http://www.idx.co.id/>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Ascension of Jesus Christ
- Independence Day, August 17th
- Christmas, December 25th

Other holidays for which no rule is given (data available for 2005-2011 only:)

- Idul Adha
- Ied Adha
- Imlek
- Moslem's New Year Day
- Chinese New Year
- Nyepi (Saka's New Year)
- Birthday of Prophet Muhammad SAW
- Waisak
- Ascension of Prophet Muhammad SAW
- Idul Fitri
- Ied Fitri
- Other national leaves

## Member Enumeration Documentation

enum Market

Enumerator:

  BEJ | Jakarta stock exchange (merged into IDX)
  JSX | Jakarta stock exchange (merged into IDX)
  IDX | Indonesia stock exchange.